aboutsummaryrefslogtreecommitdiffstats
path: root/device_validator/app
diff options
context:
space:
mode:
Diffstat (limited to 'device_validator/app')
-rw-r--r--device_validator/app/.classpath7
-rw-r--r--device_validator/app/.project17
-rw-r--r--device_validator/app/.settings/org.eclipse.jdt.ui.prefs3
-rw-r--r--device_validator/app/Android.mk31
-rw-r--r--device_validator/app/etc/Android.mk10
-rwxr-xr-xdevice_validator/app/etc/device_validator79
-rw-r--r--device_validator/app/etc/manifest.txt3
-rw-r--r--device_validator/app/src/com/android/validator/DeviceValidator.java55
8 files changed, 205 insertions, 0 deletions
diff --git a/device_validator/app/.classpath b/device_validator/app/.classpath
new file mode 100644
index 0000000..a1d7856
--- /dev/null
+++ b/device_validator/app/.classpath
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry combineaccessrules="false" kind="src" path="/dvlib"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/device_validator/app/.project b/device_validator/app/.project
new file mode 100644
index 0000000..fda9e3d
--- /dev/null
+++ b/device_validator/app/.project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>device_validator</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/device_validator/app/.settings/org.eclipse.jdt.ui.prefs b/device_validator/app/.settings/org.eclipse.jdt.ui.prefs
new file mode 100644
index 0000000..c0fbc32
--- /dev/null
+++ b/device_validator/app/.settings/org.eclipse.jdt.ui.prefs
@@ -0,0 +1,3 @@
+#Fri May 25 10:41:24 PDT 2012
+eclipse.preferences.version=1
+formatter_settings_version=11
diff --git a/device_validator/app/Android.mk b/device_validator/app/Android.mk
new file mode 100644
index 0000000..93e6226
--- /dev/null
+++ b/device_validator/app/Android.mk
@@ -0,0 +1,31 @@
+# Copyright (C) 2012 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+LOCAL_PATH := $(call my-dir)
+include $(CLEAR_VARS)
+
+LOCAL_SRC_FILES := $(call all-java-files-under, src)
+
+LOCAL_JAR_MANIFEST := etc/manifest.txt
+
+LOCAL_JAVA_LIBRARIES := \
+ dvlib
+
+LOCAL_MODULE := device_validator
+LOCAL_MODULE_TAGS := optional
+
+include $(BUILD_HOST_JAVA_LIBRARY)
+
+# Build all sub-directories
+include $(call all-makefiles-under,$(LOCAL_PATH))
diff --git a/device_validator/app/etc/Android.mk b/device_validator/app/etc/Android.mk
new file mode 100644
index 0000000..69a948c
--- /dev/null
+++ b/device_validator/app/etc/Android.mk
@@ -0,0 +1,10 @@
+# Copyright 2012 The Android Open Source Project
+#
+LOCAL_PATH := $(call my-dir)
+include $(CLEAR_VARS)
+
+LOCAL_PREBUILT_EXECUTABLES := device_validator
+LOCAL_MODULE_TAGS := optional
+
+include $(BUILD_HOST_PREBUILT)
+
diff --git a/device_validator/app/etc/device_validator b/device_validator/app/etc/device_validator
new file mode 100755
index 0000000..08a1023
--- /dev/null
+++ b/device_validator/app/etc/device_validator
@@ -0,0 +1,79 @@
+#!/bin/bash
+# Copyright 2012, The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Set up prog to be the path of this script, including following symlinks,
+# and set up progdir to be the fully-qualified pathname of its directory.
+prog="$0"
+while [ -h "${prog}" ]; do
+ newProg=`/bin/ls -ld "${prog}"`
+ newProg=`expr "${newProg}" : ".* -> \(.*\)$"`
+ if expr "x${newProg}" : 'x/' >/dev/null; then
+ prog="${newProg}"
+ else
+ progdir=`dirname "${prog}"`
+ prog="${progdir}/${newProg}"
+ fi
+done
+oldwd=`pwd`
+progdir=`dirname "${prog}"`
+cd "${progdir}"
+progdir=`pwd`
+prog="${progdir}"/`basename "${prog}"`
+cd "${oldwd}"
+
+jarfile=device_validator.jar
+frameworkdir="$progdir"
+libdir="$progdir"
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/tools/lib
+ libdir=`dirname "$progdir"`/tools/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ frameworkdir=`dirname "$progdir"`/framework
+ libdir=`dirname "$progdir"`/lib
+fi
+if [ ! -r "$frameworkdir/$jarfile" ]
+then
+ echo `basename "$prog"`": can't find $jarfile"
+ exit 1
+fi
+
+
+# Check args.
+if [ debug = "$1" ]; then
+ # add this in for debugging
+ java_debug=-agentlib:jdwp=transport=dt_socket,server=y,address=8050,suspend=y
+ shift 1
+else
+ java_debug=
+fi
+
+javaCmd="java"
+
+# Mac OS X needs an additional arg, or you get an "illegal thread" complaint.
+if [ `uname` = "Darwin" ]; then
+ os_opts="-XstartOnFirstThread"
+else
+ os_opts=
+fi
+
+jarpath="$frameworkdir/$jarfile"
+
+exec "$javaCmd" \
+ -Xmx256M $os_opts $java_debug \
+ -classpath "$jarpath" \
+ com.android.validator.DeviceValidator "$@"
diff --git a/device_validator/app/etc/manifest.txt b/device_validator/app/etc/manifest.txt
new file mode 100644
index 0000000..55b9038
--- /dev/null
+++ b/device_validator/app/etc/manifest.txt
@@ -0,0 +1,3 @@
+Main-Class: com.android.validator.DeviceValidator
+Class-Path: dvlib.jar
+
diff --git a/device_validator/app/src/com/android/validator/DeviceValidator.java b/device_validator/app/src/com/android/validator/DeviceValidator.java
new file mode 100644
index 0000000..4b4b16d
--- /dev/null
+++ b/device_validator/app/src/com/android/validator/DeviceValidator.java
@@ -0,0 +1,55 @@
+/*
+ * Copyright (C) 2012 The Android Open Source Project
+ *
+ * Licensed under the Eclipse Public License, Version 1.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ * http://www.eclipse.org/org/documents/epl-v10.php
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+package com.android.validator;
+
+import java.io.File;
+import java.io.FileInputStream;
+import java.io.FileNotFoundException;
+
+import com.android.dvlib.DeviceSchema;
+
+public class DeviceValidator {
+
+ public static void main(String[] args) {
+ if (args.length == 0){
+ printHelp();
+ System.exit(1);
+ }
+ int ret = 0;
+ for (String a : args) {
+ File f = new File(a);
+ try {
+ if (!DeviceSchema.validate(new FileInputStream(f), System.err, f.getParentFile())) {
+ System.err.println("Error validating " + f.getAbsolutePath());
+ System.out.println();
+ ret = 1;
+ } else {
+ System.out.println(f.getAbsolutePath() + " validated successfully.");
+ }
+ } catch (FileNotFoundException e) {
+ System.err.println("File not found: " + a);
+ ret = 1;
+ }
+ }
+ System.exit(ret);
+ }
+
+ private static void printHelp() {
+ System.err.printf("Usage: device_validator [files to validate]...\n");
+ }
+
+}